[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_crwapi' (#crwlib)

# ISysApi.SmartFileRef

## Declaration

Source position: _crw_crwapi.pas line 3734

`function ISysApi.SmartFileRef(`
`const FileRef: LongString;`
`const DefExt: LongString = '';`
`const BaseFile: LongString = '';`
`const UserHome: LongString = sfrDefUserHome;`
`const ProgHome: LongString = sfrDefProgHome;`
`const Brackets: LongString = sfrDefBrackets;`
`handleUrl: Boolean = True`
`):LongString;`